#
# spec file for package libvlc-qt 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Packman team <packman@links2linux.de>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#
# norootforbuild

%ifarch x86_64
%define _cmake_lib_suffix64 -DLIB_SUFFIX=64
%endif

%define soname 0_8

Name:           libvlc-qt
Version:        0.8.0
Release:        1.8
Packager:	Alexey Svistunov <svalx@svalx.net>
Summary:        VLC-Qt - Qt and libvlc connector library
Summary(ru):	VLC-Qt - библиотека, соединяющая Qt и libvlc
License:        LGPL-3.0
Group:          System/Libraries
URL:            http://projects.tano.si/library
Source:         libvlc-qt_%{version}_src.tar.gz

# PATCH-FIX-OPENSUSE libvlc-qt-0.7.0-fix-file-contains-date-and-time.patch svalx@svalx.net -- fix file-contains-date-and-time warning for doxygen genrated documentation.
Patch0:         libvlc-qt-0.8.0-fix-file-contains-date-and-time.patch

BuildRequires:  libqt4-devel >= 4.8
BuildRequires:  vlc-devel >= 2
BuildRequires:  cmake >= 2.8.6
BuildRequires:  pkg-config
BuildRequires:  doxygen
BuildRequires:  fdupes

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VLC-Qt is a free library used to connect Qt and libvlc libraries. It contains core classes for main media playback and also some GUI classes for faster media player development.

%description -l ru
VLC-Qt - свободная библиотека объединяющая Qt и libvlc. Она включает в себя основные классы для воспроизведения медиафайлов и некоторые GUI классы для бысторой разработки мультимедиа проигрывателей.

%package        -n %{name}%{soname}
Summary:        VLC-Qt - Qt and libvlc connector library
Summary(ru):    VLC-Qt - библиотека, соединяющая Qt и libvlc
Group:          System/Libraries
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n %{name}%{soname}
VLC-Qt is a free library used to connect Qt and libvlc libraries. It contains core classes for main media playback and also s
ome GUI classes for faster media player development.

%description -l ru -n %{name}%{soname}
VLC-Qt - свободная библиотека объединяющая Qt и libvlc. Она включает в себя основные классы для воспроизведения медиафайлов и некоторые GUI классы для бысторой разработки мультимедиа проигрывателей.

%package        widgets%{soname}
Summary:        VLC-Qt - Qt and libvlc connector library
Summary(ru):    VLC-Qt - библиотека, соединяющая Qt и libvlc
Group:          System/Libraries
Provides:       %{name}-widgets = %{version}
Obsoletes:      %{name}-widgets < %{version}

%description widgets%{soname}
VLC-Qt is a free library used to connect Qt and libvlc libraries. It contains core classes for main media playback and also s
ome GUI classes for faster media player development.

%description -l ru widgets%{soname}
VLC-Qt - свободная библиотека объединяющая Qt и libvlc. Она содержит включает в себя классы для воспроизведения медиафайлов и некоторые GUI классы для бысторой разработки медиа проигрывателей.

%package        devel
Summary:        Include Files and Libraries Mandatory for Development
Summary(ru):    Файлы и библиотеки предназанченные для разработки
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       %{name}-widgets = %{version}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%description -l ru devel
Пакет %{name}-devel включает в себя библиотеки и заголовочные файлы, необходимые для разработки приложений с использованием %{name}.

%package        doc
Summary:        Dcoumentation for %{name}
Summary(ru):    Документация для %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
Doxygen generated documentation and help files for %{name}.

%description -l ru doc
Документация и справочные материалы для %{name}, сгенерированные с помощью Doxygen.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
cmake -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=%{_prefix} %{?_cmake_lib_suffix64}
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%{__make} -j1 #No %{?_smp_mflags} because 0.8.0 not support parallel building.
doxygen doc/Doxyfile

%install
make install DESTDIR=%{buildroot}
%fdupes -s html 

%clean
rm -rf %{buildroot}

%post -n %{name}%{soname} -p /sbin/ldconfig
%post -n %{name}-widgets%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}-widgets%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files widgets%{soname}
%defattr(-,root,root)
%{_libdir}/%{name}-widgets.so.*

%files devel
%defattr(-,root,root)
%_includedir/vlc-qt
%{_libdir}/%{name}.so
%{_libdir}/%{name}-widgets.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%defattr(-,root,root)
%doc html

%changelog
* Fri Feb 15 2013 svalx@svalx.net
- Updated to version 0.8.0:
  * Separate library into modules: core, widgets and qml
  * Introduce position() and setPosition() methods
  * Fix pause method and introduce togglePause method
  * Removed mouse and fullscreen functions from WidgetVideo
  * Fix: Use proper track ids
  * Fix: Install pkg-config file to correct path (issue #12)
  * Fix: Don't use exit() (issue #13)
- Remove libvlc-qt-0.7.0-define-library-suffix.patch - fixed in upstream.
- Separate package for libvlc-qt-widgets library.
- Disable parallel build - not supported 0.8.0.
* Thu Dec 20 2012 svalx@svalx.net
- Add libvlc-qt-0.7.0-define-library-suffix.patch -- define shared library path suffix if not defined and suffix for pkgconfig
* Wed Dec 19 2012 svalx@svalx.net
- Initial package.
